"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transactWriteItems = exports.transactWriteTableItems = void 0;
const TransactWrite_1 = require("../command/TransactWrite");
const transactWriteTableItems = async (Table, requests, input, dkClient = Table.dkClient) => dkClient.send(new TransactWrite_1.DkTransactWriteCommand({
    ...input,
    TransactItems: requests.map(request => {
        return Object.fromEntries(Object.entries(request).map(([key, value]) => [
            key,
            value
                ? {
                    ...value,
                    TableName: Table.name
                }
                : value
        ]));
    })
}));
exports.transactWriteTableItems = transactWriteTableItems;
const transactWriteItems = async (KeySpace, requests, input) => (0, exports.transactWriteTableItems)(KeySpace.Table, requests.map(request => {
    return Object.fromEntries(Object.entries(request).map(([key, value]) => {
        if (key === 'ConditionCheck' || key === 'Delete' || key === 'Update') {
            return [
                key,
                value
                    ? {
                        ...value,
                        Key: KeySpace.keyOf(request.Key)
                    }
                    : value
            ];
        }
        if (key === 'Put') {
            return [
                key,
                value
                    ? {
                        ...value,
                        Item: KeySpace.withIndexKeys(request.Item)
                    }
                    : value
            ];
        }
        return [key, value];
    }));
}), input, KeySpace.dkClient);
exports.transactWriteItems = transactWriteItems;
