import { DkDeleteCommand } from '../command/Delete';
export const deleteTableItem = async (Table, key, input, dkClient = Table.dkClient) => {
    const output = await dkClient.send(new DkDeleteCommand({
        ...input,
        TableName: Table.name,
        Key: key
    }));
    return output.Attributes;
};
export const deleteItem = async (KeySpace, keyParams, input) => {
    const attributes = await deleteTableItem(KeySpace.Table, KeySpace.keyOf(keyParams), input, KeySpace.dkClient);
    const strippedAttributes = (attributes ? KeySpace.omitIndexKeys(attributes) : undefined);
    return strippedAttributes;
};
