import { queryTableItems } from './query';
import { primaryIndex } from '../Table';
export const queryGetTableItem = async (Table, index, key, input, dkClient = Table.dkClient) => {
    const setIndex = index !== primaryIndex ? index : undefined;
    const keyEntries = Object.entries(key);
    const output = await queryTableItems(Table, {
        ...input,
        IndexName: setIndex,
        PageLimit: 1,
        KeyConditionExpression: keyEntries.map(([key]) => `${key} = :${key}`).join(' AND '),
        ExpressionAttributeValues: {
            ...Object.fromEntries(keyEntries.map(([key, value]) => [`:${key}`, value])),
            ...input?.ExpressionAttributeValues
        }
    }, dkClient);
    if (!output.Items[0])
        throw new Error('Not Found');
    return output.Items[0];
};
export const queryGetItem = async (KeySpace, index, keyParams, input) => {
    const item = await queryGetTableItem(KeySpace.Table, index, KeySpace.indexKeyOf(index, keyParams), input, KeySpace.dkClient);
    KeySpace.assertAttributesAndKeys(item);
    return KeySpace.omitIndexKeys(item);
};
