import { DkTransactWriteCommand } from '../command/TransactWrite';
export const transactWriteTableItems = async (Table, requests, input, dkClient = Table.dkClient) => dkClient.send(new DkTransactWriteCommand({
    ...input,
    TransactItems: requests.map(request => {
        return Object.fromEntries(Object.entries(request).map(([key, value]) => [
            key,
            value
                ? {
                    ...value,
                    TableName: Table.name
                }
                : value
        ]));
    })
}));
export const transactWriteItems = async (KeySpace, requests, input) => transactWriteTableItems(KeySpace.Table, requests.map(request => {
    return Object.fromEntries(Object.entries(request).map(([key, value]) => {
        if (key === 'ConditionCheck' || key === 'Delete' || key === 'Update') {
            return [
                key,
                value
                    ? {
                        ...value,
                        Key: KeySpace.keyOf(request.Key)
                    }
                    : value
            ];
        }
        if (key === 'Put') {
            return [
                key,
                value
                    ? {
                        ...value,
                        Item: KeySpace.withIndexKeys(request.Item)
                    }
                    : value
            ];
        }
        return [key, value];
    }));
}), input, KeySpace.dkClient);
