import { ReturnValue } from '@aws-sdk/client-dynamodb';
import { DkUpdateCommand } from '../command/Update';
export const updateTableItem = async (Table, key, input, dkClient = Table.dkClient) => {
    const output = await dkClient.send(new DkUpdateCommand({
        ...input,
        TableName: Table.name,
        Key: key,
        ReturnValues: (input.ReturnValues || ReturnValue.ALL_NEW)
    }));
    return output.Attributes;
};
export const updateItem = async (KeySpace, keyParams, input) => {
    const attributes = await updateTableItem(KeySpace.Table, KeySpace.keyOf(keyParams), input, KeySpace.dkClient);
    const strippedAttributes = (attributes ? KeySpace.omitIndexKeys(attributes) : undefined);
    return strippedAttributes;
};
