import { DeleteCommandInput, DeleteCommandOutput } from '@aws-sdk/lib-dynamodb';
import { DkCommand } from './Command';
import { GenericAttributes } from '../util/utils';
import { DkClientConfig } from '../Client';
import { ReturnValue } from '@aws-sdk/client-dynamodb';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
declare const DELETE_COMMAND_INPUT_DATA_TYPE: "DeleteCommandInput";
declare const DELETE_COMMAND_INPUT_HOOK: readonly ["CommandInput", "WriteCommandInput", "DeleteCommandInput"];
declare const DELETE_COMMAND_OUTPUT_DATA_TYPE: "DeleteCommandOutput";
declare const DELETE_COMMAND_OUTPUT_HOOK: readonly ["CommandOutput", "WriteCommandOutput", "DeleteCommandOutput"];
export type DkDeleteReturnValues = Extract<ReturnValue, 'ALL_OLD' | 'NONE'> | undefined;
export interface DkDeleteCommandInput<Key extends GenericAttributes = GenericAttributes, ReturnValues extends DkDeleteReturnValues = undefined> extends Omit<DeleteCommandInput, 'Key' | 'ReturnValues'> {
    Key: Key;
    ReturnValues?: ReturnValues;
}
export interface DkDeleteCommandOutput<Attributes extends GenericAttributes = GenericAttributes, ReturnValues extends DkDeleteReturnValues = undefined> extends Omit<DeleteCommandOutput, 'Attributes'> {
    Attributes: ReturnValuesAttributes<Attributes, ReturnValues>;
}
export declare class DkDeleteCommand<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes, ReturnValues extends DkDeleteReturnValues = undefined> extends DkCommand<typeof DELETE_COMMAND_INPUT_DATA_TYPE, (typeof DELETE_COMMAND_INPUT_HOOK)[number], DkDeleteCommandInput<Key, ReturnValues>, DeleteCommandInput, typeof DELETE_COMMAND_OUTPUT_DATA_TYPE, (typeof DELETE_COMMAND_OUTPUT_HOOK)[number], DkDeleteCommandOutput<Attributes, ReturnValues>, DeleteCommandOutput> {
    constructor(input: DkDeleteCommandInput<Key, ReturnValues>);
    inputMiddlewareConfig: {
        dataType: "DeleteCommandInput";
        hooks: readonly ["CommandInput", "WriteCommandInput", "DeleteCommandInput"];
    };
    outputMiddlewareConfig: {
        dataType: "DeleteCommandOutput";
        hooks: readonly ["CommandOutput", "WriteCommandOutput", "DeleteCommandOutput"];
    };
    handleInput: ({ defaults, middleware }: DkClientConfig) => Promise<DeleteCommandInput>;
    handleOutput: (output: DeleteCommandOutput, { middleware }: DkClientConfig) => Promise<DkDeleteCommandOutput<Attributes, ReturnValues>>;
    send: (clientConfig: DkClientConfig) => Promise<DkDeleteCommandOutput<Attributes, ReturnValues>>;
}
export {};
