import { GetCommandInput, GetCommandOutput } from '@aws-sdk/lib-dynamodb';
import { DkCommand } from './Command';
import { GenericAttributes } from '../util/utils';
import { DkClientConfig } from '../Client';
declare const GET_COMMAND_INPUT_DATA_TYPE: "GetCommandInput";
declare const GET_COMMAND_INPUT_HOOK: readonly ["CommandInput", "ReadCommandInput", "GetCommandInput"];
declare const GET_COMMAND_OUTPUT_DATA_TYPE: "GetCommandOutput";
declare const GET_COMMAND_OUTPUT_HOOK: readonly ["CommandOutput", "ReadCommandOutput", "GetCommandOutput"];
export interface DkGetCommandInput<Key extends GenericAttributes = GenericAttributes> extends Omit<GetCommandInput, 'Key'> {
    Key: Key;
}
export interface DkGetCommandOutput<Attributes extends GenericAttributes = GenericAttributes> extends Omit<GetCommandOutput, 'Item'> {
    Item: Attributes;
}
export declare class DkGetCommand<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends DkCommand<typeof GET_COMMAND_INPUT_DATA_TYPE, (typeof GET_COMMAND_INPUT_HOOK)[number], DkGetCommandInput<Key>, GetCommandInput, typeof GET_COMMAND_OUTPUT_DATA_TYPE, (typeof GET_COMMAND_OUTPUT_HOOK)[number], DkGetCommandOutput<Attributes>, GetCommandOutput> {
    constructor(input: DkGetCommandInput<Key>);
    inputMiddlewareConfig: {
        dataType: "GetCommandInput";
        hooks: readonly ["CommandInput", "ReadCommandInput", "GetCommandInput"];
    };
    outputMiddlewareConfig: {
        dataType: "GetCommandOutput";
        hooks: readonly ["CommandOutput", "ReadCommandOutput", "GetCommandOutput"];
    };
    handleInput: ({ defaults, middleware }: DkClientConfig) => Promise<GetCommandInput>;
    handleOutput: (output: GetCommandOutput, { middleware }: DkClientConfig) => Promise<DkGetCommandOutput<Attributes>>;
    send: (clientConfig: DkClientConfig) => Promise<DkGetCommandOutput<Attributes>>;
}
export {};
