import { PutCommandInput, PutCommandOutput } from '@aws-sdk/lib-dynamodb';
import { DkCommand } from './Command';
import { ReturnValue } from '@aws-sdk/client-dynamodb';
import { GenericAttributes } from '../util/utils';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
import { DkClientConfig } from '../Client';
declare const PUT_COMMAND_INPUT_DATA_TYPE: "PutCommandInput";
declare const PUT_COMMAND_INPUT_HOOK: readonly ["CommandInput", "WriteCommandInput", "PutCommandInput"];
declare const PUT_COMMAND_OUTPUT_DATA_TYPE: "PutCommandOutput";
declare const PUT_COMMAND_OUTPUT_HOOK: readonly ["CommandOutput", "WriteCommandOutput", "PutCommandOutput"];
export type DkPutReturnValues = Extract<ReturnValue, 'ALL_OLD' | 'NONE'> | undefined;
export interface DkPutCommandInput<Attributes extends GenericAttributes = GenericAttributes, ReturnValues extends DkPutReturnValues = undefined> extends Omit<PutCommandInput, 'Item' | 'ReturnValues' | 'Expected' | 'ConditionalOperator'> {
    Item: Attributes;
    ReturnValues?: ReturnValues;
}
export interface DkPutCommandOutput<Attributes extends GenericAttributes = GenericAttributes, ReturnValues extends DkPutReturnValues = undefined> extends Omit<PutCommandOutput, 'Attributes'> {
    Attributes: ReturnValuesAttributes<Attributes, ReturnValues>;
}
export declare class DkPutCommand<Attributes extends GenericAttributes = GenericAttributes, ReturnValues extends DkPutReturnValues = undefined> extends DkCommand<typeof PUT_COMMAND_INPUT_DATA_TYPE, (typeof PUT_COMMAND_INPUT_HOOK)[number], DkPutCommandInput<Attributes, ReturnValues>, PutCommandInput, typeof PUT_COMMAND_OUTPUT_DATA_TYPE, (typeof PUT_COMMAND_OUTPUT_HOOK)[number], DkPutCommandOutput<Attributes, ReturnValues>, PutCommandOutput> {
    constructor(input: DkPutCommandInput<Attributes, ReturnValues>);
    inputMiddlewareConfig: {
        dataType: "PutCommandInput";
        hooks: readonly ["CommandInput", "WriteCommandInput", "PutCommandInput"];
    };
    outputMiddlewareConfig: {
        dataType: "PutCommandOutput";
        hooks: readonly ["CommandOutput", "WriteCommandOutput", "PutCommandOutput"];
    };
    handleInput: ({ defaults, middleware }: DkClientConfig) => Promise<PutCommandInput>;
    handleOutput: (output: PutCommandOutput, { middleware }: DkClientConfig) => Promise<DkPutCommandOutput<Attributes, ReturnValues>>;
    send: (clientConfig: DkClientConfig) => Promise<DkPutCommandOutput<Attributes, ReturnValues>>;
}
export {};
