import { TransactWriteCommandInput, TransactWriteCommandOutput } from '@aws-sdk/lib-dynamodb';
import { DkCommand } from './Command';
import { GenericAttributes } from '../util/utils';
import { DkClientConfig } from '../Client';
import { ConditionCheck, Delete, Put, TransactWriteItem, Update } from '@aws-sdk/client-dynamodb';
declare const TRANSACT_WRITE_COMMAND_INPUT_DATA_TYPE: "TransactWriteCommandInput";
declare const TRANSACT_WRITE_COMMAND_INPUT_HOOK: readonly ["CommandInput", "WriteCommandInput", "TransactWriteCommandInput"];
declare const TRANSACT_WRITE_COMMAND_OUTPUT_DATA_TYPE: "TransactWriteCommandOutput";
declare const TRANSACT_WRITE_COMMAND_OUTPUT_HOOK: readonly ["CommandOutput", "WriteCommandOutput", "TransactWriteCommandOutput"];
export interface DkTransactWriteCommandInput<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends Omit<TransactWriteCommandInput, 'TransactItems'> {
    TransactItems: (Omit<TransactWriteItem, 'ConditionCheck' | 'Put' | 'Delete' | 'Update'> & {
        ConditionCheck?: Omit<ConditionCheck, 'Key'> & {
            Key: Key;
        };
        Delete?: Omit<Delete, 'Key'> & {
            Key: Key;
        };
        Put?: Omit<Put, 'Item'> & {
            Item: Attributes;
        };
        Update?: Omit<Update, 'Key'> & {
            Key: Key;
        };
    })[];
}
export interface DkTransactWriteCommandOutput extends TransactWriteCommandOutput {
}
export declare class DkTransactWriteCommand<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends DkCommand<typeof TRANSACT_WRITE_COMMAND_INPUT_DATA_TYPE, (typeof TRANSACT_WRITE_COMMAND_INPUT_HOOK)[number], DkTransactWriteCommandInput<Attributes, Key>, TransactWriteCommandInput, typeof TRANSACT_WRITE_COMMAND_OUTPUT_DATA_TYPE, (typeof TRANSACT_WRITE_COMMAND_OUTPUT_HOOK)[number], DkTransactWriteCommandOutput, TransactWriteCommandOutput> {
    constructor(input: DkTransactWriteCommandInput<Attributes, Key>);
    inputMiddlewareConfig: {
        dataType: "TransactWriteCommandInput";
        hooks: readonly ["CommandInput", "WriteCommandInput", "TransactWriteCommandInput"];
    };
    outputMiddlewareConfig: {
        dataType: "TransactWriteCommandOutput";
        hooks: readonly ["CommandOutput", "WriteCommandOutput", "TransactWriteCommandOutput"];
    };
    handleInput: ({ defaults, middleware }: DkClientConfig) => Promise<TransactWriteCommandInput>;
    handleOutput: (output: TransactWriteCommandOutput, { middleware }: DkClientConfig) => Promise<DkTransactWriteCommandOutput>;
    send: (clientConfig: DkClientConfig) => Promise<DkTransactWriteCommandOutput>;
}
export {};
