import { GenericAttributes } from '../util/utils';
import { Table } from '../Table';
import { DkBatchGetCommandInput, DkBatchGetCommandOutput } from '../command/BatchGet';
import { KeySpace } from '../KeySpace';
import { DkClient } from '../Client';
export interface BatchGetItemsInput<Key extends GenericAttributes = GenericAttributes> extends Omit<DkBatchGetCommandInput<Key>, 'RequestItems'> {
    PageLimit?: number;
}
export interface BatchGetItemsOutput<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends Partial<Omit<DkBatchGetCommandOutput, 'Responses' | 'UnprocessedKeys'>> {
    Responses: DkBatchGetCommandOutput<Attributes, Key>['Responses'][string];
    UnprocessedKeys: DkBatchGetCommandOutput<Attributes, Key>['UnprocessedKeys'][string];
}
export declare const batchGetTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, keys: import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>[], input?: BatchGetItemsInput, dkClient?: DkClient) => Promise<BatchGetItemsOutput<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>>;
export declare const batchGetItems: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>>(KeySpace: K, keys: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>[], input?: BatchGetItemsInput) => Promise<BatchGetItemsOutput<KeySpace.GetAttributes<K>, import("../util/utils").Remap<import("../util/utils").IntersectOf<KeySpace.GetIndexKeyMap<K>[K["primaryIndex"]]>>>>;
