import { KeySpace } from '../KeySpace';
import { GenericAttributes } from '../util/utils';
import { Table } from '../Table';
import { DkBatchWriteCommandInput, DkBatchWriteCommandOutput } from '../command/BatchWrite';
import { DkClient } from '../Client';
export interface BatchWriteItemsInput<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends Omit<DkBatchWriteCommandInput<Attributes, Key>, 'RequestItems'> {
    PageLimit?: number;
}
export interface BatchWriteItemsOutput<Attributes extends GenericAttributes = GenericAttributes, Key extends GenericAttributes = GenericAttributes> extends Partial<Omit<DkBatchWriteCommandOutput, 'UnprocessedItems'>> {
    UnprocessedItems: DkBatchWriteCommandOutput<Attributes, Key>['UnprocessedItems'][string];
}
export declare const batchWriteTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, requests: ({
    Put: import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>;
} | {
    Delete: import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>;
})[], input?: BatchWriteItemsInput, dkClient?: DkClient) => Promise<BatchWriteItemsOutput<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>>;
export declare const batchWriteItems: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>>(KeySpace: K, requests: ({
    Put: KeySpace.GetAttributes<K>;
} | {
    Delete: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>;
})[], input?: BatchWriteItemsInput) => Promise<BatchWriteItemsOutput<import("../util/utils").Remap<K["Table"]["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<K["Table"]>[K["Table"]["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<K["Table"]>[K["Table"]["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<K["Table"]>[K["Table"]["primaryIndex"]]>, import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<K["Table"]>[Exclude<K["primaryIndex"], undefined>]>>>>;
