import { KeySpace } from '../KeySpace';
import { Table } from '../Table';
import { DkTransactWriteCommandInput, DkTransactWriteCommandOutput } from '../command/TransactWrite';
import { DkClient } from '../Client';
import { ConditionCheck, Delete, Put, TransactWriteItem, Update } from '@aws-sdk/client-dynamodb';
export interface TransactWriteItemsInput extends Omit<DkTransactWriteCommandInput, 'requests'> {
}
export type TransactWriteItemsOutput = DkTransactWriteCommandOutput;
export declare const transactWriteTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, requests: (Omit<TransactWriteItem, "ConditionCheck" | "Put" | "Delete" | "Update"> & {
    ConditionCheck?: (Omit<ConditionCheck, "Key" | "TableName"> & {
        Key: import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>;
    }) | undefined;
    Delete?: (Omit<Delete, "Key" | "TableName"> & {
        Key: import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>;
    }) | undefined;
    Put?: (Omit<Put, "Item" | "TableName"> & {
        Item: import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>;
    }) | undefined;
    Update?: (Omit<Update, "Key" | "TableName"> & {
        Key: import("../util/utils").Remap<import("../util/utils").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>;
    }) | undefined;
})[], input?: TransactWriteItemsInput, dkClient?: DkClient) => Promise<TransactWriteItemsOutput>;
export declare const transactWriteItems: <K extends KeySpace<any, import("../util/utils").GenericAttributes, any, any> = KeySpace<any, import("../util/utils").GenericAttributes, any, any>>(KeySpace: K, requests: (Omit<TransactWriteItem, "ConditionCheck" | "Put" | "Delete" | "Update"> & {
    ConditionCheck?: (Omit<ConditionCheck, "Key" | "TableName"> & {
        Key: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>;
    }) | undefined;
    Delete?: (Omit<Delete, "Key" | "TableName"> & {
        Key: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>;
    }) | undefined;
    Put?: (Omit<Put, "Item" | "TableName"> & {
        Item: KeySpace.GetAttributes<K>;
    }) | undefined;
    Update?: (Omit<Update, "Key" | "TableName"> & {
        Key: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>;
    }) | undefined;
})[], input?: TransactWriteItemsInput) => Promise<TransactWriteItemsOutput>;
